org.bouncycastle.asn1.x509

## Class PolicyInformation

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.x509.PolicyInformation

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class PolicyInformation
      extends ASN1Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PolicyInformation(ASN1ObjectIdentifier policyIdentifier)`
    `PolicyInformation(ASN1ObjectIdentifier policyIdentifier, ASN1Sequence policyQualifiers)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PolicyInformation` | `getInstance(java.lang.Object obj)`
    `ASN1ObjectIdentifier` | `getPolicyIdentifier()`
    `ASN1Sequence` | `getPolicyQualifiers()`
    `ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PolicyInformation

          public PolicyInformation(ASN1ObjectIdentifier policyIdentifier)

    - #### PolicyInformation

          public PolicyInformation(ASN1ObjectIdentifier policyIdentifier,
                                   ASN1Sequence policyQualifiers)

  - ### Method Detail

    - #### getInstance

          public static PolicyInformation getInstance(java.lang.Object obj)

    - #### getPolicyIdentifier

          public ASN1ObjectIdentifier getPolicyIdentifier()

    - #### getPolicyQualifiers

          public ASN1Sequence getPolicyQualifiers()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from class: `ASN1Object`
      Method providing a primitive representation of this object suitable for encoding.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`